## django-sass-processor 0.5.4

=== debian/changelog ===
django-sass-processor (0.5.4-1) unstable; urgency=low

  * Initial release (Closes: #876449)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 04 Jan 2018 15:19:46 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-sass-processor

%:
	dh $@ --with python3 --buildsystem=pybuild

## django-sass-processor 1.2.2+repack

=== tests/requirements.txt ===
libsass
pytest
pytest-django
jinja2
django-compressor

## django-sass-processor 0.8.2

=== debian/changelog ===
django-sass-processor (0.8.2-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Antonio Terceiro ]
  * debian/watch: pull tarball from github
  * New upstream version 0.8.2
  * Add patch to fix tests against pytest 4
  * debian/rules: run tests during build
  * Run test suite under autopkgtest
  * Recommend python3-django-compressor
  * Bump Standards-Version to 4.5.0; no changes needed
  * Fix spelling error in package description
  * debian/upstream/metadata: point to bug database

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 20 Sep 2020 10:54:21 -0300

=== debian/control ===
Source: django-sass-processor
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-django,
               python3-django-compressor,
               python3-jinja2,
               python3-libsass,
               python3-setuptools,
               python3-pytest,
               python3-pytest-django,
Standards-Version: 4.5.0
Homepage: https://github.com/jrief/django-sass-processor
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-sass-processor
Vcs-Git: https://salsa.debian.org/python-team/modules/django-sass-processor.git

Package: python3-django-sass-processor
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-django
Recommends: python3-django-compressor
Description: compile files from markup languages such as SASS/SCSS
 django-sass-processor converts *.scss or *.sass files into *.css
 while rendering templates. For performance reasons this is done only
 once, since the preprocessor keeps track on the timestamps and only
 recompiles, if any of the imported SASS/SCSS files is younger than
 the corresponding generated CSS file.
 .
 This Django app provides a templatetag {% sass_src
 'path/to/file.scss' %}, which can be used instead of the built-in
 templatetag static. Since version 0.3.4 this also works for Jinja2
 templates.
 .
 If SASS/SCSS files shall be referenced through the Media class, or
 media property, the SASS processor can be used directly.
 .
 Additionally, django-sass-processor is shipped with a management
 command, which can convert the content of all occurrences inside the
 templatetag sass_src as an offline operation. Hence the libsass
 compiler is not required in a production environment.
 .
 During development, a `sourcemap <https://developer.chrome.com=""
 devtools="" docs="" css-preprocessors="">`__ is generated along side
 with the compiled *.css file. This allows one to debug style sheet
 errors much easier.
 .
 With this tool, you can safely remove your Ruby installations
 "Compass" and "SASS" from your Django projects. You neither need any
 directory "watching" daemons based on node.js.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-sass-processor
export PYBUILD_TEST_PYTEST = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cp -r $(cat debian/pybuild.testfiles) $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && python3 -m pytest
Depends: @, @builddeps@

## django-sass-processor 1.1

=== debian/changelog ===
django-sass-processor (1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Dominik George ]
  * New upstream version.
    + Drop patches as they were applied upstream.
    + Update d/copyright years and authors.
  * Add myself as Uploader to track in DMD (I am also upstream now).
  * Bump Standards-Version (no changes needed).
  * Depend on python3-libsass.
  * Suggest python3-jinja2.

 -- Dominik George <natureshadow@debian.org>  Thu, 30 Sep 2021 11:06:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: django-sass-processor
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Hans-Christoph Steiner <hans@eds.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Hans-Christoph Steiner <hans@eds.org>,
+ Dominik George <natureshadow@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
@@ -13,15 +14,16 @@
                python3-setuptools,
                python3-pytest,
                python3-pytest-django,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/jrief/django-sass-processor
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-sass-processor
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-sass-processor.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-sass-processor
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-sass-processor.git
 
 Package: python3-django-sass-processor
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-django
+Depends: ${misc:Depends}, ${python3:Depends}, python3-django, python3-libsass
 Recommends: python3-django-compressor
+Suggests: python3-jinja2
 Description: compile files from markup languages such as SASS/SCSS
  django-sass-processor converts *.scss or *.sass files into *.css
  while rendering templates. For performance reasons this is done only

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/jrief/django-sass-processor/releases .*/v?(\d[\d\.]+)\.tar\.gz

## django-sass-processor 1.2.1

=== debian/changelog ===
django-sass-processor (1.2.1-1) unstable; urgency=medium

  * Team upload
  * d/control: Correct description language
  * d/watch: Scan GitHub tags

  [ Lena Voytek ]
  * New upstream versions 1.2 and 1.2.1

 -- Bastian Germann <bage@debian.org>  Tue, 16 Aug 2022 20:09:00 +0200

django-sass-processor (1.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 18:22:03 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Hans-Christoph Steiner <hans@eds.org>,
  Dominik George <natureshadow@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-django,
@@ -28,26 +28,23 @@
  django-sass-processor converts *.scss or *.sass files into *.css
  while rendering templates. For performance reasons this is done only
  once, since the preprocessor keeps track on the timestamps and only
- recompiles, if any of the imported SASS/SCSS files is younger than
+ recompiles when any of the imported SASS/SCSS files is younger than
  the corresponding generated CSS file.
  .
- This Django app provides a templatetag {% sass_src
- 'path/to/file.scss' %}, which can be used instead of the built-in
- templatetag static. Since version 0.3.4 this also works for Jinja2
- templates.
+ This Django app provides a templatetag "sass_src",
+ which can be used instead of the built-in templatetag static.
+ Since version 0.3.4 this also works for Jinja2 templates.
  .
- If SASS/SCSS files shall be referenced through the Media class, or
+ If SASS/SCSS files shall be referenced through the Media class or
  media property, the SASS processor can be used directly.
  .
  Additionally, django-sass-processor is shipped with a management
  command, which can convert the content of all occurrences inside the
- templatetag sass_src as an offline operation. Hence the libsass
+ templatetag sass_src as an offline operation. Hence, the libsass
  compiler is not required in a production environment.
  .
- During development, a `sourcemap <https://developer.chrome.com=""
- devtools="" docs="" css-preprocessors="">`__ is generated along side
- with the compiled *.css file. This allows one to debug style sheet
- errors much easier.
+ During development, a sourcemap is generated alongside the compiled *.css file.
+ This allows one to debug style sheet errors much easier.
  .
  With this tool, you can safely remove your Ruby installations
  "Compass" and "SASS" from your Django projects. You neither need any

## django-sass-processor 1.2.2+repack

=== debian/changelog ===
django-sass-processor (1.2.2+repack-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.2+repack (Closes: #1030810)
  * Use dh-sequence-python3
  * Switch to autopkgtest-pkg-pybuild
  * Add R³

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 14 Feb 2023 15:43:30 +0100

django-sass-processor (1.2.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Hans-Christoph Steiner ]
  * New upstream version 1.2.2

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 06 Feb 2023 00:25:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Hans-Christoph Steiner <hans@eds.org>,
  Dominik George <natureshadow@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-django,
                python3-django-compressor,
@@ -14,10 +14,12 @@
                python3-setuptools,
                python3-pytest,
                python3-pytest-django,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/jrief/django-sass-processor
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-sass-processor
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-sass-processor.git
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-django-sass-processor
 Architecture: all

## django-sass-processor 1.4.1

=== debian/changelog ===
django-sass-processor (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Dec 2024 10:05:13 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  Dominik George <natureshadow@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-django,
                python3-django-compressor,

## django-sass-processor 1.4.2

=== tests/requirements.txt ===
setuptools
libsass
pytest
pytest-django
jinja2
django-compressor

=== debian/changelog ===
django-sass-processor (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Sep 2025 20:08:36 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-setuptools,
                python3-pytest,
                python3-pytest-django,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/jrief/django-sass-processor
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-sass-processor
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-sass-processor.git

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/jrief/django-sass-processor/tags .*/v?(\d[\d\.]+)\.tar\.gz
